Skip to content

Send a message (reply)

POST
/api/v1/social_messages/send_message

Queue a message to be sent via background job.

SendMessageRequest
object
agent_id
required
Agent Id

Agent ID

string
nickname
required
Nickname

Nickname of the user to reply to

string
username
Any of:
string
text
required
Text

Message content

string

Successful Response

SocialOperationResponse
object
status
required
Status
string
Allowed values: success fail
message
required
Message
string

Bad Request

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string

Agent or Social Account not found

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string
Example
{
"error": "Agent not found",
"error_code": "agent_not_found"
}

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Internal Server Error

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string